Внедрение произвольных HTTP заголовков в Openads

Дата публикации:
17.04.2007
Дата изменения:
09.02.2009
Всего просмотров:
1547
Опасность:
Низкая
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
CVE-2007-2046
CVE-2007-2047
Вектор эксплуатации:
Удаленная
Воздействие:
Межсайтовый скриптинг
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Openads for PostgreSQL (ранее phpPgAds) 2.x
OpenX (ранее Openads и phpAdsNew) 2.x
Уязвимые версии:
Openads (ранее phpAdsNew) версии до 2.0.11-pr1
Openads for PostgreSQL (ранее phpAdsNew) версии до 2.0.11-pr1
Openads 2.3.30

Описание:
Уязвимость позволяет удаленному пользователю произвести XSS нападение.

1. Уязвимость существует из-за недостаточной обработки входных данных в сценарии adclick.php. Удаленный пользователь может с помощью специально сформированного запроса внедрить произвольные HTTP заголовки в запрос и выполнить произвольный код сценария в браузере жертвы в контексте безопасности уязвимого сайта.

2. Уязвимость существует из-за недостаточной обработки входных данных в сценарии www/delivery/ck.php. Удаленный пользователь может с помощью специально сформированного запроса внедрить произвольные HTTP заголовки в запрос и выполнить произвольный код сценария в браузере жертвы в контексте безопасности уязвимого сайта. Уязвимость существует в Openads 2.3.30.

URL производителя: phpadsnew.com

Решение: Установите последнюю версию (2.0.11-pr1) с сайта производителя.

Ссылки: http://sourceforge.net/project/shownotes.php?release_id=500343
http://sla.ckers.org/forum/read.php?3,505,9508#msg-9508

или введите имя

CAPTCHA